.\" Copyright (c) 2007 The DragonFly Project.  All rights reserved.
.\" 
.\" This code is derived from software contributed to The DragonFly Project
.\" by Matthew Dillon <dillon@backplane.com>
.\" 
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in
.\"    the documentation and/or other materials provided with the
.\"    distribution.
.\" 3. Neither the name of The DragonFly Project nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific, prior written permission.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
.\" LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
.\" FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
.\" COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
.\" OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\" 
.\" $DragonFly: src/sbin/mount_hammer/mount_hammer.8,v 1.5 2008/04/23 21:59:22 thomas Exp $
.Dd October 10, 2007
.Dt MOUNT_HAMMER 8
.Os
.Sh NAME
.Nm mount_hammer
.Nd mount a HAMMER file system
.Sh SYNOPSIS
.Nm
.Op Fl o Ar mount-options
.Op Fl T Ar time
.Ar special ...
.Ar mount-point
.Sh DESCRIPTION
The
.Nm
utility mounts a HAMMER filesystem backed by one or more block devices.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl o Ar mount-options
Specify mount options, which are a comma delimited set of options (see
.Xr mount 8 ) .
Supported mount options are:
.Bl -tag -width indent
.It Ar ro
Issue a read-only mount.
.El
.It Fl T Ar time
Mount the filesystem as-of a particular
.Ar time .
The mount will automatically be made read-only.
The
.Ar time
may be specified two ways.
A single integer followed by
.Sq s ,
.Sq m ,
.Sq h ,
.Sq D ,
.Sq M ,
or
.Sq Y
issues a historical mount as-of a number of seconds, minutes, hours, days,
months, or years ago.
A time specification of
.Pf yyyymmdd Oo :hhmmss Oc Ns Op .fractional
specifies an exact as-of timestamp in local (not UTC) time.
Set the TZ environment variable prior to running
.Nm
if you wish to specify the time by some other means.
.El
.\".Sh NOTES
.Sh EXAMPLES
.Bd -literal -offset indent
mount_hammer -o ro,noatime /dev/ad0s1d /dev/ad1s1d /mnt
.Ed
.Pp
Mount a hammer filesystem made up of two volumes onto
.Pa /mnt .
.Sh DIAGNOSTICS
Exit status is 0 on success and 1 on error.
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr fdisk 8 ,
.Xr hammer 8 ,
.Xr newfs_hammer 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Dx 1.11 .
.Sh AUTHORS
.An Matthew Dillon Aq dillon@backplane.com
